Bug 592733 - Review Request: turpial - Is cool twitter client with many features and very light
Review Request: turpial - Is cool twitter client with many features and very ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-16 11:25 EDT by Edwind Richzendy Contreras Soto
Modified: 2011-06-21 13:25 EDT (History)
6 users (show)

See Also:
Fixed In Version: turpial-1.5.0-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-21 13:21:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Edwind Richzendy Contreras Soto 2010-05-16 11:25:39 EDT
Spec URL: http://richzendy.org/repo/turpial/turpial.spec
SRPM URL: http://forja.softwarelibre.gob.ve/frs/download.php/178/turpial-1.3.2-a1.fc12.src.rpm
Description: 

This is my first official Fedora package and I need a sponsor before I made several unofficial packages (http://richzendy.org/tag/rpm), turpiale is a thin and very functional twitter client currently very active development This could be the first distribution to have an official package for this software. , this package and I've done some previus are already being used by some users of Fedora.

Thanks for your time.
Comment 1 Rahul Sundaram 2010-05-16 11:37:03 EDT
You forgot to add the blocker.  I have done so now.  Please review the process outlined below to get sponsored

https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
Comment 2 Guillermo Gómez 2010-05-16 21:51:48 EDT
According to my building process python-devel and python-setuptools are Requires.
Comment 3 Chen Lei 2010-05-16 23:16:32 EDT
Interesting program.

Please follow the guideline below to modify your spec.

http://fedoraproject.org/wiki/Packaging:Python
Comment 4 Edwind Richzendy Contreras Soto 2010-05-16 23:25:12 EDT
thanks Guilermo and Chei i will work in this  feedbacks
Comment 5 Edwind Richzendy Contreras Soto 2010-05-22 19:52:06 EDT
hi all, here I have an improved version of spec file:

http://richzendy.org/repo/turpial/turpial.spec

For those wishing to test the rpm, here's to download:

http://richzendy.org/repo/turpial/turpial-1.3.2-a1.1.fc12.noarch.rpm

For those who want the source rpm, here's to download:

http://richzendy.org/repo/turpial/turpial-1.3.2-a1.1.fc12.src.rpm

here I have rpmlint output:

rpmlint -i turpial-1.3.2-a1.1.fc12.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint -i turpial-1.3.2-a1.1.fc12.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Any recommendation is welcome.
Comment 6 Chen Lei 2010-05-22 21:44:27 EDT
1.The biggest problem for this package is the location for locale. The right place for them should be /usr/share/locale/, the upstream must fix them. I suggest you send a patch to upstream, /usr/lib/python2.6/site-packages/turpial/i18n is not the appropriate place for them.

2. the release number is wrong, it should be 0.1.a1

See fedora naming guideline


3.
/usr/share/doc/turpial -> /usr/share/doc/turpial-%{version}


4.
/usr/share/applications/turpial.desktop should some further modification.


e.g.

icon-> /usr/share/pixmaps/turpial.png

See 
http://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files
http://fedoraproject.org/wiki/Packaging_tricks#.desktop_files

5.

Please add a blank line between the changelog entries
Comment 7 Edwind Richzendy Contreras Soto 2010-05-22 22:27:16 EDT
Thanks Chen:

1. I have been able to see that locals where in a wrong place, just that I wasn't sure.  I report this bug past april-4 and I can help developers to fix the location of this files, because I know that this can improve my spec and define better the languajes macro %find_lang

http://code.google.com/p/turpial/issues/detail?id=133   ( in spanish )

2. Done

3. Done

4. i will make a patch to turpial developers

5. Done

where have all the required patches and feedback from developers, i can published another new version of the spec
Comment 8 Edwind Richzendy Contreras Soto 2010-06-19 13:07:08 EDT
Done, just launched a version of the spec that I have done all the suggestions, if someone can review it would be very grateful:

http://richzendy.org/repo/turpial/turpial.spec

The src.rpm it's here:

http://richzendy.org/repo/turpial/turpial-1.3.3-1.fc12.src.rpm
Comment 9 Edwind Richzendy Contreras Soto 2010-07-25 00:40:55 EDT
I have a new release, spec file in:

http://richzendy.org/repo/turpial/turpial.spec

The src.rpm it's here:

http://richzendy.org/repo/turpial/turpial-1.3.3-2.fc12.src.rpm

rpmlint -i turpial-1.3.3-2.fc12.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint -i turpial-1.3.3-2.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Any feedback is appreciated.
Comment 10 Chen Lei 2010-07-25 00:58:28 EDT
Several minor issues:
1.
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%install
rm -rf %{buildroot}
buildroot and cleaning %{buildroot} in %install section is not needed in fedora.

2.
%setup -q -n turpial-1.3.3
->%setup -q
3.
Summary:        Is cool twitter client with many features and very light
->Summary:        Cool twitter client with many features and very light
4.
%find_lang %{name}
cat %{name}.lang  > %{name}-all.lang

Why rename %{name}.lang to %{name}-all.lang?

5.

%attr(0755,root,root) %{python_sitelib}/%{name}/main.py
Why add excutable bit for main.py?

Normally, %attr is not needed in %file. %{python_sitelib}/%{name}/main.py should not be listed seperately, list files twice in %file is forbidden in spec.

6.
BuildRequires:  python-babel >= 0.9.1,  python2-devel python-setuptools
Requires:       python-simplejson >= 1.9.2, python-imaging notify-python >= 0.1.1, pygame >= 1.7, pygtk2 >= 2.12, pywebkitgtk gnome-python2-gtkspell >= 2.25.3


Please check the version of those packages in F12, if the version in F12 > minimum version, then you should not use versioned requirement.

e.g.
pygtk2 >= 2.12 -> pygtk2
Comment 11 Edwind Richzendy Contreras Soto 2010-08-07 12:11:52 EDT
Thanks to feed back Chen:

5.

%attr(0755,root,root) %{python_sitelib}/%{name}/main.py
Why add excutable bit for main.py?

This is due to the error message that provides rpmlint:

turpial.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/turpial/main.py 0644L /usr/bin/python



Now is required to place a manual page for each executable? :

turpial.noarch: W: no-manual-page-for-binary turpial
Comment 12 Chen Lei 2010-08-09 23:57:04 EDT
(In reply to comment #11)
> Thanks to feed back Chen:
> 
> 5.
> 
> %attr(0755,root,root) %{python_sitelib}/%{name}/main.py
> Why add excutable bit for main.py?
> 
> This is due to the error message that provides rpmlint:
> 
> turpial.noarch: E: non-executable-script
> /usr/lib/python2.6/site-packages/turpial/main.py 0644L /usr/bin/python
> 
> 
You should remove shebang from this file instead of adding excutable bit.

See http://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_files

> 
> Now is required to place a manual page for each executable? :
> 
> turpial.noarch: W: no-manual-page-for-binary turpial    

Just ignore this warnings, most rpmlint warnings can be safely ignored.
Comment 13 Edwind Richzendy Contreras Soto 2010-08-14 20:19:27 EDT
I have a new release, spec file in:

http://richzendy.org/repo/turpial/turpial.spec

The src.rpm it's here:

http://richzendy.org/repo/turpial/turpial-1.3.4-1.fc13.src.rpm

were implemented all suggestions Chen Lei (Comment 10), Additional suggestions welcome.
Comment 14 Dennis Gilmore 2011-05-27 17:30:14 EDT
i ill review and sponsor
Comment 15 Edwind Richzendy Contreras Soto 2011-05-27 17:37:07 EDT
I have a new release:

SRC.rpm:

http://richzendy.org/repo/turpial/turpial-1.5.0-1.fc15.src.rpm

Spec file:

http://richzendy.org/repo/turpial/turpial.spec
Comment 16 Dennis Gilmore 2011-05-27 17:48:03 EDT
builds cleanly in mock,

source tarball matches upstream
f0c85cc0639287b66210571841920cb35dc9117bce9a3e37616f29b1f1b4768a  fedora/SOURCES/turpial-1.5.0.tar.gz
f0c85cc0639287b66210571841920cb35dc9117bce9a3e37616f29b1f1b4768a  turpial-1.5.0.tar.gz

looks good,

Approved
Comment 17 Edwind Richzendy Contreras Soto 2011-06-04 23:29:20 EDT
New Package SCM Request
=======================
Package Name: turpial
Short Description: Turpial is a cool twitter client with many features.
support to url short and image hosting services, and more.
Owners: richzendy
Branches: f14 f15
InitialCC:
Comment 18 Gwyn Ciesla 2011-06-05 18:15:24 EDT
Git done (by process-git-requests).
Comment 19 Edwind Richzendy Contreras Soto 2011-06-05 22:21:44 EDT
Thanks Jon, build done :-)
Comment 20 Fedora Update System 2011-06-06 12:02:06 EDT
turpial-1.5.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/turpial-1.5.0-1.fc14
Comment 21 Fedora Update System 2011-06-06 12:06:18 EDT
turpial-1.5.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/turpial-1.5.0-1.fc15
Comment 22 Fedora Update System 2011-06-07 00:29:47 EDT
turpial-1.5.0-1.fc14 has been pushed to the Fedora 14 testing repository.
Comment 23 Fedora Update System 2011-06-07 15:46:54 EDT
turpial-1.5.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/turpial-1.5.0-2.fc15
Comment 24 Fedora Update System 2011-06-09 09:24:56 EDT
turpial-1.5.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/turpial-1.5.0-2.fc14
Comment 25 Fedora Update System 2011-06-21 13:21:44 EDT
turpial-1.5.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2011-06-21 13:25:25 EDT
turpial-1.5.0-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.